package org.q.app.config;

/**
 * Listing of configuration variables used by the application.
 * 
 * @author Erik Lievaart
 */
public class VariableConstants {

	public static final String APPLICATION_HOME = "q.home";

	public static final String BROWSER_COLOR = "q.main.browser.color";
	public static final String BROWSER_ICONS = "q.main.browser.icons";
	public static final String BROWSER_HIDDEN = "q.main.browser.hidden";
	public static final String ENGINE_UNSAFE = "q.engine.unsafe";
	public static final String SCRIPT_CACHE = "q.scripts.cache";

	public static final String VARIOUS_MATCH_FILE_SELECTOR = "q.plugin.various.match.file";
	public static final String VARIOUS_MATCH_DIR_SELECTOR = "q.plugin.various.match.dir";
	public static final String VARIOUS_MATCH_DIR_WORDS = "q.plugin.various.match.words";

	private VariableConstants() {
	}
}
