package org.q.app.ui;

import javax.swing.JMenuBar;

import org.q.app.contract.PluginContext;
import org.q.app.engine.impl.EngineModule;
import org.q.app.general.ModuleBase;
import org.q.app.ui.bind.JMenuBarProvider;

/**
 * Guice module for the ui package.
 * 
 * @author Erik Lievaart
 */
public class MainFrameModule extends ModuleBase {

	@Override
	protected void configure() {
		install(EngineModule.instance());

		bind(JMenuBar.class).toProvider(JMenuBarProvider.class);
		bind(PluginContext.class).toProvider(PluginContextProvider.class);
	}
}
