package org.q.app.ui.bind;

import java.awt.Component;

import javax.swing.Action;

class ListenerBinding implements Binding {

	private final String actionId;
	private final ConfigureListener configure;

	ListenerBinding(final String actionId, final String configure) {
		this.actionId = actionId;
		this.configure = ConfigureListener.valueOf(configure);
	}

	@Override
	public String getActionId() {
		return actionId;
	}

	public void register(final Component component, final Action action) {
		configure.on(component, action);
	}

}
