package org.q.toolkit.test;

import org.mockito.Mockito;
import org.q.toolkit.reflect.InstanceTool;

public class MockitoTool {

	public static <E> E createAndInject(Class<E> type, Object instance) {
		E mock = Mockito.mock(type);
		InstanceTool.injectFieldByType(instance, mock);
		return mock;
	}
}
